Module tdlight.api
Package it.tdlight.jni

# Class TdApi.EncryptedPassportElement

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.EncryptedPassportElement

Enclosing class:
  TdApi

public static final class TdApi.EncryptedPassportElement extends TdApi.Object
Contains information about an encrypted Telegram Passport element; for bots only.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`byte[]`
`data`
Encrypted JSON-encoded data about the user.
`TdApi.DatedFile[]`
`files`
List of attached files.
`TdApi.DatedFile`
`frontSide`
The front side of an identity document.
`String`
`hash`
Hash of the entire element.
`TdApi.DatedFile`
`reverseSide`
The reverse side of an identity document; may be null.
`TdApi.DatedFile`
`selfie`
Selfie with the document; may be null.
`TdApi.DatedFile[]`
`translation`
List of files containing a certified English translation of the document.
`TdApi.PassportElementType`
`type`
Type of Telegram Passport element.
`String`
`value`
Unencrypted data, phone number or email address.

## Constructor Summary

Constructors
Constructor
Description
`EncryptedPassportElement()`
Contains information about an encrypted Telegram Passport element; for bots only.
`EncryptedPassportElement(TdApi.PassportElementType type, byte[] data, TdApi.DatedFile frontSide, TdApi.DatedFile reverseSide, TdApi.DatedFile selfie, TdApi.DatedFile[] translation, TdApi.DatedFile[] files, String value, String hash)`
Contains information about an encrypted Telegram Passport element; for bots only.
`EncryptedPassportElement(DataInput input)`
Contains information about an encrypted Telegram Passport element; for bots only.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### type

public TdApi.PassportElementType type
Type of Telegram Passport element.

### data

public byte[] data
Encrypted JSON-encoded data about the user.

### frontSide

public TdApi.DatedFile frontSide
The front side of an identity document.

### reverseSide

public TdApi.DatedFile reverseSide
The reverse side of an identity document; may be null.

### selfie

public TdApi.DatedFile selfie
Selfie with the document; may be null.

### translation

public TdApi.DatedFile[] translation
List of files containing a certified English translation of the document.

### files

public TdApi.DatedFile[] files
List of attached files.

### value

public String value
Unencrypted data, phone number or email address.

### hash

public String hash
Hash of the entire element.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### EncryptedPassportElement

public EncryptedPassportElement()
Contains information about an encrypted Telegram Passport element; for bots only.

### EncryptedPassportElement

public EncryptedPassportElement(TdApi.PassportElementType type, byte[] data, TdApi.DatedFile frontSide, TdApi.DatedFile reverseSide, TdApi.DatedFile selfie, TdApi.DatedFile[] translation, TdApi.DatedFile[] files, String value, String hash)
Contains information about an encrypted Telegram Passport element; for bots only.

Parameters:
  `type` - PassportElementType Type of Telegram Passport element.
  `data` - byte[] Encrypted JSON-encoded data about the user.
  `frontSide` - DatedFile The front side of an identity document.
  `reverseSide` - DatedFile The reverse side of an identity document; may be null.
  `selfie` - DatedFile Selfie with the document; may be null.
  `translation` - DatedFile[] List of files containing a certified English translation of the document.
  `files` - DatedFile[] List of attached files.
  `value` - String Unencrypted data, phone number or email address.
  `hash` - String Hash of the entire element.

### EncryptedPassportElement

public EncryptedPassportElement(DataInput input) throws IOException
Contains information about an encrypted Telegram Passport element; for bots only.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`